Subject: RE: anybody has an exim win32 binary with mysql support? Got 'main option "mysql_servers" unknown' error upon start-up
From: "Ralf Hauser" <[email-masked]>
To: "Pierre A. Humblet" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Mon, 14 Jul 2003 16:31:16 +0200

Pierre,

Since all the other DB code I use is under mysql, I guess I need mysql.
Details below.

Thx r.
> -----Original Message-----
> From: Pierre A. Humblet [mailto:[email-masked]]
> Sent: Donnerstag, 10. Juli 2003 21:20
>
> Hi Ralf,
>
> As far as I know there is no mysql library available
> for Cygwin.
From Gerrit, I got cygmysqlclient-14.dll*, cygmysqlclient_r-14.dll*, and
libmySQL.dll* - do you think it is possible with any of those?
Would any of the above be equivalent to "-lmysqlclient" mentioned in
http://www.exim.org/pipermail/exim-users/Week-of-Mon-20030707/056569.html
(probably on another platform than win32)
> However there is postgresql
> http://www.cygwin.com/packages/postgresql
> Can that help you?
As said, probably not.
>
> You would need to download the source (using setup) and build
> exim, it should be easy. If you do that, please do it in two
> steps:
> 1) Build exactly as distributed (see instructions in
> /usr/doc/cygwin/exim..   and verify it works.
> 2) Modify the Makefile to include the sql stuff
I guess, I'll have to try!
>
> If you find that it works, or some other solution,
> please let me know. Thanks in advance.
Let's see whether there is some experience already on the exim side
http://www.exim.org/pipermail/exim-users/Week-of-Mon-20030707/056508.html.
>
> Good luck.
>
> Pierre

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/